<?php

declare(strict_types=1);

namespace Rowlinson\Api\Requests\Order;

/**
 * @internal
 */
class PlaceOrderRequest
{
    public ?string $deliveryLocationId;
    public ?string $customerReference;
    public ?string $deliveryInstructions;
    /** @var array<string,string>|null */
    public ?array $deliveryLocation;

    /**
     * @param array<string,string>|null $newDeliveryLocation
     */
    public function __construct(
        ?string $deliveryLocationId,
        ?string $customerReference,
        ?string $deliveryInstructions,
        ?array $newDeliveryLocation
    ) {
        $this->deliveryLocationId = $deliveryLocationId;
        $this->customerReference = $customerReference;
        $this->deliveryInstructions = $deliveryInstructions;
        $this->deliveryLocation = $newDeliveryLocation;
    }
}
